class  CAdviseSink : public IAdviseSink
{

    protected:
		int m_RefCount ;

    public:

 		HWND	m_hWnd ;
		DWORD	m_NumAdvConnection ;
    	
         
        CAdviseSink ();
        ~CAdviseSink (void);

        //IAdvisSink interface members
        STDMETHODIMP	QueryInterface(REFIID, LPVOID *);
        STDMETHODIMP_(ULONG)	AddRef(void);
        STDMETHODIMP_(ULONG)	Release(void);
        
        STDMETHODIMP_(void) OnDataChange(FORMATETC FAR* pFE, STGMEDIUM FAR* pStg);
    	STDMETHODIMP_(void) OnViewChange (DWORD dwAspect, LONG lindex);
    	STDMETHODIMP_(void) OnRename(LPMONIKER pmk);
    	STDMETHODIMP_(void) OnSave() ;
    	STDMETHODIMP_(void)  OnClose() ;
};
